Bug 145181 - plugin target/bin subtrees only takes 1 value
plugin target/bin subtrees only takes 1 value
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Server - Plugins (Show other bugs)
7.1
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: 389_1.2.6 639035
  Show dependency treegraph
 
Reported: 2005-01-14 19:37 EST by Rich Megginson
Modified: 2015-12-07 12:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-Bug-145181-Plugin-target-bind-subtrees-only-take-1-v.patch (8.58 KB, patch)
2010-04-19 17:58 EDT, Endi Sukma Dewata
rmeggins: review+
Details | Diff

  None (edit)
Description Rich Megginson 2005-01-14 19:37:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040805 Netscape/7.2

Description of problem:
The plugin configuration has target_subtrees and bind_subtrees, which
are supposed to be a list of subtrees to allow the plugin to operate
on (bind_subtrees for BIND/UNBIND, target_subtrees for all other
operations).  However, when getting the value from the attribute in
the plugin config entry, only the first value is retrieved e.g. it
uses slapi_entry_attr_get_charptr instead of
slapi_entry_attr_get_charray (or just iterating through the values). 
The rest of the code assumes 1 or more values, so it's probably an
easy fix.

One other thing that may be useful would be to have both included
subtrees and excluded subtrees.  For example, with the PAM plugin, you
would never want it to operate on o=NetscapeRoot and cn=config.  It
would be easier to specify those subtrees to be excluded that to
specifically include all the other subtrees.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Config the plugin

Additional info:
Comment 1 Chandrasekar Kannan 2007-07-25 15:03:53 EDT
DS7.2 is not a valid milestone anymore. Anything thats set to DS7.2 should be
set to DS8.0. Will make further changes per bug council on 07/24/2007, after this.
Comment 6 Endi Sukma Dewata 2010-04-19 17:58:56 EDT
Created attachment 407690 [details]
0001-Bug-145181-Plugin-target-bind-subtrees-only-take-1-v.patch

New attributes nsslapd-exclude-targetSubtree and nsslapd-exclude-bindSubtree have been added to specify excluded subtrees. The set_plugin_config_from_entry() has been modified to read multiple subtrees. The plugin_invoke_plugin_sdn() and plugin_allow_internal_op() have been modified to check for excluded subtrees.
Comment 7 Rich Megginson 2010-04-26 19:47:31 EDT
commit 1d7f7f52485922e9fa992de0e74ede1d44b81097
Author: Endi S. Dewata <edewata@redhat.com>
Date:   Sat Apr 17 00:08:35 2010 -0500
Comment 8 Rich Megginson 2010-04-27 13:27:34 EDT
I don't think we need this for 8.2 - it can wait for 9.0
Comment 10 Rich Megginson 2011-07-15 12:54:20 EDT
yeah, just mark as verifiedupstream - we don't have any plugins that take advantage of this

Note You need to log in before you can comment on or make changes to this bug.